Paginated integrity checkpoints
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkpoints": [
{
"checkpoint_id": "<string>",
"agent_id": "<string>",
"card_id": "<string>",
"session_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"thinking_block_hash": "<string>",
"provider": "<string>",
"model": "<string>",
"concerns": [
{
"category": "<string>",
"severity": "<string>",
"description": "<string>",
"evidence": "<string>"
}
],
"reasoning_summary": "<string>",
"conscience_context": {},
"window_position": {
"index": 123,
"window_size": 123
},
"analysis_metadata": {},
"linked_trace_id": "<string>",
"re_evaluated_at": "2023-11-07T05:31:56Z",
"original_verdict": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Checkpoints
Paginated integrity checkpoints
Paginated integrity checkpoints
GET
/
agents
/
{agent_id}
/
checkpoints
Paginated integrity checkpoints
Authorizations
BearerAuthApiKeyAuthCookieAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Available options:
clear, review_needed, boundary_violation ⌘I